Crystal Space: csFrustumContext Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csFrustumContext Class Reference
[Visibility]

This structure keeps track of the current frustum context. More...

`#include <iengine/fview.h>`

List of all members.

## Public Member Functions
| csFrustumContext ()
| Constructor.
csFrustum * | GetLightFrustum ()
| Get the light frustum.
iShadowBlockList * | GetShadows ()
| Get the list of shadows.
bool | IsMirrored ()
| Is mirrored.
bool | IsShared ()
| Get shared.
csFrustumContext & | operator= (csFrustumContext const &c)
void | SetLightFrustum (csFrustum *lf)
| Set the light frustum.
void | SetMirrored (bool m)
| Set/Disable mirrored space (default false).
void | SetNewLightFrustum (csPtr< csFrustum > lf)
| Set a new (already IncRef'd) light frustrum.
void | SetNewShadows (csPtr< iShadowBlockList > shad, bool sh=false)
| Set a new (already IncRef'd) list of shadows.
void | SetShadows (iShadowBlockList *shad, bool sh=true)
| Set the list of shadows.

## Detailed Description

This structure keeps track of the current frustum context.

It is used by iFrustumView. When recursing through a portal a new frustum context will be created and set in place of the old one.

Definition at line 66 of file fview.h.

## Constructor & Destructor Documentation

csFrustumContext::csFrustumContext | ( |  | ) | `[inline]`

Constructor.

Definition at line 92 of file fview.h.

## Member Function Documentation

csFrustum* csFrustumContext::GetLightFrustum | ( |  | ) | `[inline]`

Get the light frustum.

Definition at line 128 of file fview.h.

iShadowBlockList* csFrustumContext::GetShadows | ( |  | ) | `[inline]`

Get the list of shadows.

Definition at line 107 of file fview.h.

bool csFrustumContext::IsMirrored | ( |  | ) | `[inline]`

Is mirrored.

Definition at line 136 of file fview.h.

bool csFrustumContext::IsShared | ( |  | ) | `[inline]`

Get shared.

Definition at line 121 of file fview.h.

void csFrustumContext::SetLightFrustum | ( | csFrustum * | lf | ) | `[inline]`

Set the light frustum.

Definition at line 124 of file fview.h.

void csFrustumContext::SetMirrored | ( | bool | m | ) | `[inline]`

Set/Disable mirrored space (default false).

Set this to true if the frustum starts in mirrored space.

Definition at line 134 of file fview.h.

void csFrustumContext::SetNewLightFrustum | ( | csPtr< csFrustum > | lf | ) | `[inline]`

Set a new (already IncRef'd) light frustrum.

Definition at line 126 of file fview.h.

void csFrustumContext::SetNewShadows | ( | csPtr< iShadowBlockList > | shad,
|  | bool | sh = `false` |
| ) |  |  | `[inline]`

Set a new (already IncRef'd) list of shadows.

Definition at line 115 of file fview.h.

void csFrustumContext::SetShadows | ( | iShadowBlockList * | shad,
|  | bool | sh = `true` |
| ) |  |  | `[inline]`

Set the list of shadows.

Definition at line 109 of file fview.h.

The documentation for this class was generated from the following file:

- iengine/fview.h